import java.util.HashMap;
import java.util.Map;

// SList can stand for Sorted List or for String List. The former is more accurate, 
// in that requiring that the list always be sorted is a more significant change to the basic List paradigm.

class SListDriver {

    public static void main(String[] args) {
    	StrList slist1 = new StrList();
    	insert1(slist1);
    	System.out.println("traversing slist1:");
    	slist1.inTraverse();
        System.out.println();
        
    	StrList slist2 = new StrList();
    	insert2(slist2);
    	System.out.println("traversing slist2:");
    	slist2.inTraverse();
    	
    	int i;
    	System.out.println("traversing slist1 in numeric order:");
    	for (i=0; i< slist1.size(); i++) {
    	    System.out.printf("%d: %s%n", i, slist1.get(i));
    	}
    	System.out.println();
    	System.out.println("traversing slist2 in numeric order:");
    	for (i=0; i< slist2.size(); i++) {
    	    System.out.printf("%d: %s%n", i, slist2.get(i));
    	}
    	   
    	search("zebra",slist1);
    	search("aardvark",slist1);
    	search("grass,",slist1);
    	search("eats",slist1);
    	search("food",slist1);
    	
    	
    }

    public static void insert1(StrList t) {
    	t.insert("zebra");
    	t.insert("fresh");
    	t.insert("antelope");
    	t.insert("grass,");
    	t.insert("with");
    	t.insert("eats");
    	t.insert("plays");
    }

    public static void insert2(StrList t) {
    	t.insert("grass,");
    	t.insert("with");
    	t.insert("eats");
    	t.insert("zebra");
    	t.insert("fresh");
    	t.insert("antelope");
    	t.insert("plays");
    }
    
    public static void search(String s, StrList t) {
	    if (t.search(s)) System.out.printf("string \"%s\" was found%n", s);
	    else System.out.printf("string \"%s\" was NOT THERE%n", s);
    }

}
 